Subject: Re: bug#44418: 28.0.50; Spliced variable not matched as symbol in isearch

From: Dmitry Gutov <[email-masked]>
Date: Wed, 12 Jul 2023 18:09:43 +0300

On 09/07/2023 15:36, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> The only I'd point out is that if we introduce a (@ ...) syntax here
> we should try and phase out the old @... syntax, i.e. emit an
> obsolescence warning when we bump into such code.

IMO that's indeed the biggest problem with the proposal: if we could 
swap @ in the current syntax for something else, that might be ideal.

But as proposed (and at this stage of Emacs 29 development) we'll likely 
carry two different syntaxes for a number of years, and only one of them 
will show up in symbol searches (such as xref-find-references or isearch 
for "\\_<foo"). Having these methods work in some cases can discourage 
the users from trying other methods, or simply searching for input 
prefixed with "@".